import java.util.Properties;

import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import com.brtchip.uart2gpio.ui.MainUI;
import com.brtchip.uart2gpio.ui.SerialPortChooserUI;
import com.brtchip.util.AppProperties;

public class MainClass {
	
	public static void main(String[] args) {
		Properties p = AppProperties.getProperties();
		
		System.out.println(p.getProperty("brtchip.copyright"));
		
		try {
			String lookAndFeel = p.getProperty("brtchip.app.look_and_feel","system").toLowerCase().trim(); 

			if (lookAndFeel.equals("system"))
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			else if (lookAndFeel.equals("cross") || lookAndFeel.equals("crossplatform"))
				UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());

		} catch (UnsupportedLookAndFeelException ex) {
			ex.printStackTrace();
		} catch (IllegalAccessException ex) {
			ex.printStackTrace();
		} catch (InstantiationException ex) {
			ex.printStackTrace();
		} catch (ClassNotFoundException ex) {
			ex.printStackTrace();
		}
		
		// Get which serial port to use
		String port = new SerialPortChooserUI(p.getProperty("brtchip.appname")).getChosenPort();

		// Start the main window
		if (port != null)
			new MainUI(p.getProperty("brtchip.appname"), port);
	}

}
